fse.vo

## Class DocumentRetrieve

- java.lang.Object
- - fse.vo.DocumentRetrieve

-     public class DocumentRetrieve
      extends java.lang.Object

  Contiene il dettaglio del documento CDA firmato e del foglio di stile eventualmente associato ad esso con l'aggiunta di metadati e mimeTypes

  The following schema fragment specifies the expected content contained within this class.

  Version:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<byte[]>` | `binaryDocument`
    `protected java.lang.String` | `binaryName`
    `protected byte[]` | `document`
    `protected java.lang.String` | `documentName`
    `protected java.lang.String` | `mimeType`
    `protected java.lang.String` | `status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentRetrieve()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<byte[]>` | `getBinaryDocument()` Restituisce l'eventuale contenuto degli allegati binari al CDA
    `java.lang.String` | `getBinaryName()` Restituisce il nome dell'eventuale allegato binario al CDA
    `byte[]` | `getDocument()` Restituisce il contenuto del documento
    `java.lang.String` | `getDocumentName()` Restituisce il nome del documento
    `java.lang.String` | `getMimeType()` Restituisce il mimeType del documento
    `java.lang.String` | `getStatus()` Restituisce lo stato del documento
    `void` | `setBinaryDocument(java.util.List<byte[]> binaryDocument)` Imposta il contenuto degli allegati binari al CDA.
    `void` | `setBinaryName(java.lang.String binaryName)` Imposta il nome dell'allegato binario al CDA.
    `void` | `setDocument(byte[] value)` Imposta il contenuto del documento.
    `void` | `setDocumentName(java.lang.String value)` Imposta il nome del documento.
    `void` | `setMimeType(java.lang.String mimeType)` Imposta il mimeType del documento.
    `void` | `setStatus(java.lang.String status)` Imposta lo stato del documento.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### document

          protected byte[] document

    - #### documentName

          protected java.lang.String documentName

    - #### status

          protected java.lang.String status

    - #### binaryName

          protected java.lang.String binaryName

    - #### binaryDocument

          protected java.util.List<byte[]> binaryDocument

    - #### mimeType

          protected java.lang.String mimeType

  - ### Constructor Detail

    - #### DocumentRetrieve

          public DocumentRetrieve()

  - ### Method Detail

    - #### getBinaryDocument

          public java.util.List<byte[]> getBinaryDocument()

      Restituisce l'eventuale contenuto degli allegati binari al CDA
      Returns:
        gli allegati binari al CDA

    - #### setBinaryDocument

          public void setBinaryDocument(java.util.List<byte[]> binaryDocument)

      Imposta il contenuto degli allegati binari al CDA. Parametro facoltativo.
      Parameters:
        `binaryDocument` - gli allegati binari al CDA

    - #### getBinaryName

          public java.lang.String getBinaryName()

      Restituisce il nome dell'eventuale allegato binario al CDA
      Returns:
        il nome dell'allegato binario

    - #### setBinaryName

          public void setBinaryName(java.lang.String binaryName)

      Imposta il nome dell'allegato binario al CDA. Parametro facoltativo.
      Parameters:
        `binaryName` - il nome dell'allegato binario al CDA

    - #### getDocument

          public byte[] getDocument()

      Restituisce il contenuto del documento
      Returns:
        possible object is byte[]

    - #### setDocument

          public void setDocument(byte[] value)

      Imposta il contenuto del documento. Parametro obbligatorio.
      Parameters:
        `value` - allowed object is byte[]

    - #### getDocumentName

          public java.lang.String getDocumentName()

      Restituisce il nome del documento
      Returns:
        possible object is `String`

    - #### setDocumentName

          public void setDocumentName(java.lang.String value)

      Imposta il nome del documento. Parametro obbligatorio.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatus

          public java.lang.String getStatus()

      Restituisce lo stato del documento
      Returns:
        lo stato del documnto.

    - #### setStatus

          public void setStatus(java.lang.String status)

      Imposta lo stato del documento. E' ammesso solo il valore `Approved`. Parametro obbligatorio.
      Parameters:
        `status` - lo stato del documento (Valori ammissibili: Approved, Deprecated)

    - #### getMimeType

          public java.lang.String getMimeType()

      Restituisce il mimeType del documento
      Returns:
        MIMEType

    - #### setMimeType

          public void setMimeType(java.lang.String mimeType)

      Imposta il mimeType del documento.
      Parameters:
        `MIMEType` -